.menu-top-section {
	padding-block: 11px;
	background: #2D2926;
}
.menu-top-container {
	max-width: 1110px;
	margin-inline: auto;
}
.menu-section {
	background: #ffffff;
}
.menu-container {
	max-width: 1290px;
	margin-inline: auto;
}
.menu-top-container ul {
	display: flex;
	align-items: center;
	justify-content: flex-end;
	gap: 1.25rem;
	list-style: none;
    padding: 0;
}
.menu-top-container ul li a img {
	height: 14px;
	width: 14px;
	object-fit: contain;
}
.menu-top-container ul li:last-child a {
	display: flex;
	align-items: center;
	gap: 6.75px;
}
.menu-top-container ul li a {
	color: #ffffff !important;
	font-family: Montserrat;
	font-weight: 300;
	font-size: 12px;
	line-height: 12px;
}
.site-nav {
	display: flex;
	justify-content: space-between;
	height: 90px;
}
.site-nav .nav-menu {
	list-style: none;
	padding: 0;
    display: flex;
	align-items: center;
	font-family: var(--custom-font);
	font-weight: 300;
	font-size: 13px;
	line-height: 100%;
}
.site-nav .nav-menu a {
	color: #000000;
	padding: 10px;
	position: relative;
}
.site-nav .nav-menu .nav-item.menu-active a {
	color: var(--primary-color);
	font-weight: 500;
}
.site-nav .nav-menu .nav-item.menu-active a:after {
	content: "";
    background: var(--primary-color);
    width: 20px;
    height: 2px;
    position: absolute;
	bottom: 0;
    left: 10px;
}
.site-nav .nav-menu .nav-item:last-child a {
	padding: 10px 25px;
	background: var(--primary-color);
	font-family: var(--custom-font);
	font-weight: 700;
	font-size: 13px;
	line-height: 100%;
	color: #FFFFFF;
	margin-left: 10px;
	display: flex;
    align-items: center;
    gap: 10px;
}
.site-nav .nav-menu .nav-item:last-child a:before {
	content: '';
    background: url(/wp-content/uploads/2025/08/calendar-icon.svg) no-repeat center / cover;
    display: inline-block;
    position: relative;
    width: 18px;
    height: 20px;
}
.logo-container {
	padding: 15px;
	background: #fff;
	filter: drop-shadow(0 25px 30px #0000001A);
	width: 131px;
	height: 123px;
}
.logo-container img {
	width: 88px;
	height: 88px;
	object-fit: contain;
	aspect-ratio: 1;
}

/* Ítem con megamenu */
.nav-item.has-megamenu {
    position: relative;
}

/* Megamenu oculto por defecto */
.megamenu {
    display: none;
    position: absolute;
    top: 200%;
    left: 0;
    background: #fff;
    padding: 10px 20px 27px 20px;
    box-shadow: 0 8px 32px rgba(0,0,0,0.12);
    z-index: 999;
    max-width: 600px;
}

/* Mostrar al hover */
.nav-item.has-megamenu:hover .megamenu {
    display: block;
}

/* Grid de cards */
.megamenu-inner {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}

/* Card */
.megamenu-card {
    text-decoration: none;
    color: inherit;
}

.megamenu-card__img {
    position: relative;
    height: 200px;
	width: 160px;
    background-size: cover;
    background-position: center;
	text-align: center;
}

/* Flecha roja */
.megamenu-card__arrow {
    position: absolute;
    bottom: 0;
    right: 0;
    background: #e63329;
    color: #fff;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
}

.megamenu-card__title {
    font-family: Poppins;
	font-weight: 600;
	font-size: 13px;
	line-height: 18px;
	color: #000000;
	margin: 21px 0 0 0;
	text-align: center;
}
.megamenu .megamenu-inner a {
	padding: 0;
}
.menu-btn-toggle {
	display: none;
}
@media(max-width: 768px) {
	.menu-btn-toggle {
		display: flex;
		justify-content: center;
		align-items: center;
		border-radius: 0;
		border: none;
		padding: 0;
		height: fit-content;
	}
	.menu-btn-toggle:focus {
		background: transparent;
	}
	.menu-btn-toggle img {
		width: 30px;
		height: 20px;
		object-fit: contain;
	}
	.menu-btn-toggle .close-icon {
		height: 10px;
		width: 10px;
	}
	.menu-top-section {
		display: none;
	}
	.site-nav {
		align-items: center;
		height: auto;
		padding: 10px 15px;
	}
	.site-nav .nav-menu {
/* 		display: none; */
		flex-direction: column;
        width: 100dvw;
        background: #fff;
        position: absolute;
        left: 0;
        top: 70px;
        max-height: calc(100dvh - 135px);
		padding: 0 20px 36px;
		overflow: auto;
	}
	.logo-container {
		padding: 0;
		width: auto;
		height: auto;
		filter: none;
		max-height: 50px;
	}
	.logo-container img {
		width: 50px;
		height: auto;
		object-fit: contain;
	}
	.nav-menu .nav-item {
		padding-block: 20px;
		width: 100%;
	}
	.nav-menu .nav-item:not(:last-child) {
		border-bottom: 0.5px solid #2D292680;
	}
	.social-media-mobile-container {
		list-style: none;
		padding: 0;
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 30px;
	}
	.social-media-mobile-container a {
		padding: 0 !important;
        width: 20px;
        display: flex;
        height: 20px;
        align-items: center;
        justify-content: center;
	}
	.nav-social-links {
		margin-top: 25px;
	}
	.site-nav .nav-menu > .nav-item:nth-last-child(2) {
		border-bottom: none;
	}
	.site-nav .nav-menu > .nav-item:nth-last-child(2) a {
		padding: 10px 25px;
		background: var(--primary-color);
		font-family: var(--custom-font);
		font-weight: 700;
		font-size: 13px;
		line-height: 100%;
		color: #FFFFFF;
		margin-left: 10px;
		display: flex;
		align-items: center;
		gap: 10px;
		justify-content: center;
		margin: 0;
	}
	.site-nav .nav-menu .nav-item:nth-last-child(2) a:before {
		content: '';
		background: url(/wp-content/uploads/2025/08/calendar-icon.svg) no-repeat center / cover;
		display: inline-block;
		position: relative;
		width: 18px;
		height: 20px;
	}
	.megamenu {
		display: flex;
		position: relative;
		top: inherit;
		left: initial;
		box-shadow: none;
		padding: 30px 0 15px 30px;
	}
	.megamenu-inner {
		display: flex;
		flex-direction: column;
		width: 100%;
		align-items: flex-start;
	}
	.megamenu-card__img {
		display: none;
	}
	.megamenu-card__title {
		margin: 0;
		text-align: left;
		font-weight: 300;
	}
	.megamenu-card {
		width: 100%;
	}
	.site-nav .nav-menu .nav-item.menu-active a {
		font-weight: 300;
	}
	.site-nav .nav-menu .nav-item.menu-active a:after {
		content: none;
	}
	.site-nav .nav-menu a {
		width: 100%;
		padding: 10px 0;
	}
	.nav-item.has-megamenu a {
		display: flex;
		justify-content: space-between;
		align-items: center;
		width: 100%;
		padding: 0;
	}
	html:has(.site-nav .nav-menu:not(.hide)) {
		overflow: hidden;
	}
	html:has(.site-nav .nav-menu:not(.hide))::after {
		content: '';
		background: #000000CC;
		position: fixed;
		height: 100%;
		width: 100%;
		top: 0;
		left: 0;
	}
}